Package org.eclipse.emf.spi.cdo

# Class DefaultCDOMerger.PerFeature.ManyValuedOld

java.lang.Object
org.eclipse.emf.spi.cdo.DefaultCDOMerger
org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature
org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature.ManyValued
org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature.ManyValuedOld

All Implemented Interfaces:
  `CDOMerger`, `CDOMergerBaseAware`

Enclosing class:
  `DefaultCDOMerger.PerFeature`

@Deprecated public static class DefaultCDOMerger.PerFeature.ManyValuedOld extends DefaultCDOMerger.PerFeature.ManyValued
Deprecated.
Instantiate `DefaultCDOMerger.PerFeature.ManyValued`. The old numeric/offset implementation is not correctness-preserving.
Compatibility name for the former virtual-element implementation.

Normal merger dispatch is inherited from `DefaultCDOMerger.PerFeature.ManyValued` and therefore uses the semantic occurrence/position engine. The legacy protected implementation remains source-compatible during the SPI transition but is no longer selected by the merger call path.

Since:
  4.6
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`DefaultCDOMerger.PerFeature.ManyValuedOld.Element`
Deprecated.
`static class`
`DefaultCDOMerger.PerFeature.ManyValuedOld.PerSide<T>`
Deprecated.
`static enum`
`DefaultCDOMerger.PerFeature.ManyValuedOld.Side`
Deprecated.
Instantiate `DefaultCDOMerger.PerFeature.ManyValued`.

## Nested classes/interfaces inherited from class org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature.ManyValued

`DefaultCDOMerger.PerFeature.ManyValued.ClearSemanticPolicy, DefaultCDOMerger.PerFeature.ManyValued.DuplicateResolutionPolicy, DefaultCDOMerger.PerFeature.ManyValued.OccurrenceConflictPolicy, DefaultCDOMerger.PerFeature.ManyValued.OrderingPolicy, DefaultCDOMerger.PerFeature.ManyValued.UnsetSemanticPolicy`

## Nested classes/interfaces inherited from class org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature

`DefaultCDOMerger.PerFeature.ManyValued, DefaultCDOMerger.PerFeature.ManyValuedOld`

## Nested classes/interfaces inherited from class org.eclipse.emf.spi.cdo.DefaultCDOMerger

`DefaultCDOMerger.ChangedInSourceAndDetachedInTargetConflict, DefaultCDOMerger.ChangedInSourceAndTargetConflict, DefaultCDOMerger.ChangedInTargetAndDetachedInSourceConflict, DefaultCDOMerger.Conflict, DefaultCDOMerger.PerFeature, DefaultCDOMerger.ResolutionPreference`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOMerger

`CDOMerger.ConflictException`

## Constructor Summary

Constructors
Constructor
Description
`ManyValuedOld()`
Deprecated.
`ManyValuedOld(DefaultCDOMerger.ResolutionPreference resolutionPreference)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`protected CDOFeatureDelta`
`changedInSourceAndTargetManyValued(EStructuralFeature feature, CDOFeatureDelta targetFeatureDelta, CDOFeatureDelta sourceFeatureDelta)`
Deprecated.
`protected static DefaultCDOMerger.PerFeature.ManyValuedOld.Side`
`other(DefaultCDOMerger.PerFeature.ManyValuedOld.Side side)`
Deprecated.
`protected boolean`
`treatAsUnique(EStructuralFeature feature)`
Deprecated.

### Methods inherited from class org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature.ManyValued

`changedInSource, changedInSourceAndTarget, changedInSourceAndTarget, changedInTarget`

### Methods inherited from class org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature

`changedInSource, changedInSource, changedInSourceAndTarget, changedInSourceAndTarget, changedInSourceAndTarget, changedInSourceAndTarget, changedInSourceAndTargetSingleValued, changedInTarget, changedInTarget`

### Methods inherited from class org.eclipse.emf.spi.cdo.DefaultCDOMerger

`addedInSource, addedInSourceAndTarget, addedInTarget, changedInSource, changedInSourceAndDetachedInTarget, changedInSourceAndDetachedInTarget, changedInTarget, changedInTargetAndDetachedInSource, changedInTargetAndDetachedInSource, detachedInSource, detachedInSourceAndTarget, detachedInTarget, getConflicts, getListOrdering, getResolutionPreference, getResult, getSourceMap, getTargetMap, merge, merge, merge, merge, merge, merge`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ManyValuedOld

@Deprecated public ManyValuedOld()
Deprecated.

### ManyValuedOld

@Deprecated public ManyValuedOld(DefaultCDOMerger.ResolutionPreference resolutionPreference)
Deprecated.

Since:
  4.2

## Method Details

### treatAsUnique

@Deprecated protected boolean treatAsUnique(EStructuralFeature feature)
Deprecated.

Overrides:
  `treatAsUnique` in class `DefaultCDOMerger.PerFeature.ManyValued`
Since:
  4.2

### changedInSourceAndTargetManyValued

@Deprecated protected CDOFeatureDelta changedInSourceAndTargetManyValued(EStructuralFeature feature, CDOFeatureDelta targetFeatureDelta, CDOFeatureDelta sourceFeatureDelta)
Deprecated.

Overrides:
  `changedInSourceAndTargetManyValued` in class `DefaultCDOMerger.PerFeature`
Returns:
  the result feature delta, or `null` to indicate an unresolved conflict.

### other

@Deprecated protected static DefaultCDOMerger.PerFeature.ManyValuedOld.Side other(DefaultCDOMerger.PerFeature.ManyValuedOld.Side side)
Deprecated.

Since:
  4.2